/*
    Copyright 2007 (c) by S. Ryffel,
    Swiss Federal Institute of Technology,
    Computer Engineering and Networks Laboratory.

    TOPSY -- A Teachable Operating System.
             Implementation of a tiny and simple
             micro kernel for teaching purposes.

    For further information, please visit http://www.tik.ee.ethz.ch/~topsy

    This software is provided under the terms of the GNU General Public 
    Licence. A full copy of the GNU GPL is provided in the file COPYING 
    found in the development root of Topsy.
*/
/*
	
    File:                  $Source$
    Affiliation:           ETH Zuerich, TIK
    Version:               $Revision$
    Last Date of Change:   $Date$  by: $Author$

*/

#ifndef __VMPMAPASM_H__
#define __VMPMAPASM_H__


void __zero_page(unsigned short sel, unsigned long page_addr);
void __set_PDBR(int pdbr);
int  __get_PDBR(void);
void __activate_MMU(void);

unsigned long __get_page_fault_addr(void);
//unsigned long __get_page_fault_eip(void);
void __inv_tlb_entry(unsigned long virt);
void __inv_tlb(void);

void __cli(int* flags);
void __sti(int* flags);
void __restore_flags(int flags);

#endif
